{	
	"presets": [
		[
			"@babel/preset-env",
			{
				"targets": {
					"edge": "17",
					"firefox": "60",
					"chrome": "67",
					"safari": "11.1"
				}
				// "useBuiltIns": "usage",
				// "corejs": "3.16"
				// "targets":{"node":"16"}
				// "useBuiltIns": "entry",
				// "targets": "> 0.25%, not dead"
			}
		],
		// "@babel/preset-env",
		"@babel/preset-typescript"
	],
	"plugins": [
		// [
		//     "@babel/plugin-transform-typescript", {
		//       "allowDeclareFields": true
		// }],
		[
			"@babel/plugin-proposal-decorators",
			{
				"legacy": true
			}
		],

		"@babel/proposal-class-properties"
		// "@babel/proposal-object-rest-spread"
	]
}
